;Prerelease version 20/06/1998 1.0
;EG-23{;V.1.0 - earlier versions may be discarded
; = Recurrence
;t=p1,bailout=4,z=fn3(pixel):
;x=real(z),y=imag(z)
;Tx=fn1(function in x)
;Ty=fn2(function in y)
;x=x-t*Ty,y=y+t*Tx
;z=x+flip(y)
;|z|<=bailout}

;
;
;comment{Chebyshev Types:
;	Inspired by Clifford A. Pickover:
;	Dynamic (Euler Method)
;}


comment{T(n+1) = 2xT(n)-T(n-1)
T(0)  = 1
T(1)  = x
}

T02-23{;V.1.0 - earlier versions may be discarded
; = 2zT01-T00
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1((x+x)*x-1)
Ty=fn2((y+y)*y-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T03-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zT02-T01
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(4*x*x-3))
Ty=fn2(y*(4*y*y-3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T04-23{;V.1.0 - earlier versions may be discarded
; = 2zT03-T02
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(8*xx*(xx-1)+1)
Ty=fn2(8*yy*(yy-1)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T05-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zT04-T03
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x*x,ay=4*y*y
Tx=fn1(x*(ax*(ax-5)+5))
Ty=fn2(x*(ay*(ay-5)+5))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T06-23{;V.1.0 - earlier versions may be discarded
; = 2zT05-T04
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
Tx=fn1(ax*(8*xx*(ax-3)+9)-1)
Ty=fn2(ay*(8*yy*(ay-3)+9)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T07-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zT06-T05
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(8*xx*((xx+xx)*(4*xx-7)+7)-7))
Ty=fn2(y*(8*yy*((yy+yy)*(4*yy-7)+7)-7))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T08-23{;V.1.0 - earlier versions may be discarded
; = 2zT07-T06
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(32*xx*(xx*(4*xx*(xx-2)+5)-1)+1)
Ty=fn2(32*yy*(yy*(4*yy*(yy-2)+5)-1)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T09-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zT08-T07
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=4*xx,ay=4*yy
Tx=fn1(x*(8*xx*((xx+xx)*(ax*(ax-9)+27)-15)+9))
Ty=fn2(y*(8*yy*((yy+yy)*(ay*(ay-9)+27)-15)+9))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

T10-23{;V.1.0 - earlier versions may be discarded
; = 2zT09-T08
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
bx=8*xx,by=8*yy
Tx=fn1(ax*(bx*(ax*(bx*(ax-5)+35)-11)+25)-1)
Ty=fn2(ay*(by*(ay*(by*(ay-5)+35)-11)+25)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{U(n+1) = 2xU(n)-U(n-1)
U(0)  = 1
U(1)  = 2x
}

U02-23{;V.1.0 - earlier versions may be discarded
; = 2zU01-U00
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(4*x*x-1)
Ty=fn2(4*y*y-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U03-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zU02-U01
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(4*x*((x+x)*x-1))
Ty=fn2(4*y*((y+y)*y-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U04-23{;V.1.0 - earlier versions may be discarded
; = 2zU03-U02
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x*x,ay=4*y*y
Tx=fn1(ax*(ax-3)+1)
Ty=fn2(ay*(ay-3)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U05-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zU04-U03
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1((x+x)*(16*xx*(xx-1)+3))
Ty=fn2((y+y)*(16*yy*(yy-1)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U06-23{;V.1.0 - earlier versions may be discarded
; = 2zU05-U04
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(8*xx*((xx+xx)*(4*xx-5)+3)-1)
Ty=fn2(8*yy*((yy+yy)*(4*yy-5)+3)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U07-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zU06-U05
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
Tx=fn1(8*x*(ax*(4*xx*(ax-3)+5)-1))
Ty=fn2(8*y*(ay*(4*yy*(ay-3)+5)-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U08-23{;V.1.0 - earlier versions may be discarded
; = 2zU07-U06
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=4*xx,ay=4*yy
Tx=fn1(8*xx*((xx+xx)*(ax*(ax-7)+15)-5)+1)
Ty=fn2(8*yy*((yy+yy)*(ay*(ay-7)+15)-5)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U09-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2zU08-U07
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=16*xx,ay=16*yy
Tx=fn1((x+x)*(ax*(xx*(ax*(xx-2)+17)-5)-3))
Ty=fn2((y+y)*(ay*(yy*(ay*(yy-2)+17)-5)-3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

U10-23{;V.1.0 - earlier versions may be discarded
; = 2zU09-U08
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=4*xx,ay=4*yy
Tx=fn1(ax*(ax*(16*xx*(xx*(ax-9)+6)-35)+7)-1)
Ty=fn2(ay*(ay*(16*yy*(yy*(ay-9)+6)-35)+7)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{S(n+1) = xS(n)-S(n-1)
S(0)  = 1
S(1)  = x
}

S02-23{;V.1.0 - earlier versions may be discarded
; = zS01-S00
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*x-1)
Ty=fn2(y*y-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S03-23(Origin){;V.1.0 - earlier versions may be discarded
; = zS02-S01
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*x-2))
Ty=fn2(y*(y*y-2))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S04-23{;V.1.0 - earlier versions may be discarded
; = zS03-S02
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx-3)+1)
Ty=fn2(yy*(yy-3)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S05-23(Origin){;V.1.0 - earlier versions may be discarded
; = zS04-S03
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx-4)+3))
Ty=fn2(y*(yy*(yy-4)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S06-23{;V.1.0 - earlier versions may be discarded
; = zS05-S04
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx-5)+6)-1)
Ty=fn2(yy*(yy*(yy-5)+6)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S07-23(Origin){;V.1.0 - earlier versions may be discarded
; = zS06-S05
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(xx-6)+10)-4))
Ty=fn2(y*(yy*(yy*(yy-6)+10)-4))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S08-23{;V.1.0 - earlier versions may be discarded
; = zS07-S06
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(xx-7)+15)-10)+1)
Ty=fn2(yy*(yy*(yy*(yy-7)+15)-10)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S09-23(Origin){;V.1.0 - earlier versions may be discarded
; = zS08-S07
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(xx*(xx-8)+21)-20)+5))
Ty=fn2(y*(yy*(yy*(yy*(yy-8)+21)-20)+5))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

S10-23{;V.1.0 - earlier versions may be discarded
; = zS09-S08
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(xx*(xx-9)+28)-35)+15)-1)
Ty=fn2(yy*(yy*(yy*(yy*(yy-9)+28)-35)+15)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{C(n+1) = xC(n)-C(n-1)
C(0)  = 2
C(1)  = x
}

C02-23{;V.1.0 - earlier versions may be discarded
; = zC01-C00
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*x-2)
Ty=fn2(y*y-2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C03-23(Origin){;V.1.0 - earlier versions may be discarded
; = zC02-C01
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*x-3))
Ty=fn2(y*(y*y-3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C04-23{;V.1.0 - earlier versions may be discarded
; = zC03-C02
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx-4)+2)
Ty=fn2(yy*(yy-4)+2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C05-23(Origin){;V.1.0 - earlier versions may be discarded
; = zC04-C03
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx-5)+3))
Ty=fn2(y*(yy*(yy-5)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C06-23{;V.1.0 - earlier versions may be discarded
; = zC05-C04
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx-6)+7)-2)
Ty=fn2(yy*(yy*(yy-6)+7)-2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C07-23(Origin){;V.1.0 - earlier versions may be discarded
; = zC06-C05
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(xx-7)+12)-5))
Ty=fn2(y*(yy*(yy*(yy-7)+12)-5))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C08-23{;V.1.0 - earlier versions may be discarded
; = zC07-C06
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(xx-8)+18)-12)+2)
Ty=fn2(yy*(yy*(yy*(yy-8)+18)-12)+2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C09-23(Origin){;V.1.0 - earlier versions may be discarded
; = zC08-C07
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(xx*(xx-9)+25)-24)+7))
Ty=fn2(y*(yy*(yy*(yy*(yy-9)+25)-24)+7))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

C10-23{;V.1.0 - earlier versions may be discarded
; = zC09-C08
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(xx*(xx-10)+33)-42)+19)-2)
Ty=fn2(yy*(yy*(yy*(yy*(yy-10)+33)-42)+19)-2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{P(n+1) = ((2n+1)xP(n)-nP(n-1))/(n+1)
P(0)  = 1
P(1)  = x
}

P02-23{;V.1.0 - earlier versions may be discarded
;  = ( 3zP01-1P00)/2
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1((3*x*x-1)/2)
Ty=fn2((3*y*y-1)/2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P03-23(Origin){;V.1.0 - earlier versions may be discarded
;  = ( 5zP02-2P01)/3
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(5*x*x-3)/2)
Ty=fn2(y*(5*y*y-3)/2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P04-23{;V.1.0 - earlier versions may be discarded
;  = ( 7zP03-3P02)/4
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1((5*xx*(7*xx-6)+3)/8)
Ty=fn2((5*yy*(7*yy-6)+3)/8)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P05-23(Origin){;V.1.0 - earlier versions may be discarded
;  = ( 9zP04-4P03)/5
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(7*xx*(9*xx-10)+15)/8)
Ty=fn2(y*(7*yy*(9*yy-10)+15)/8)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P06-23{;V.1.0 - earlier versions may be discarded
;  = (11zP05-5P04)/6
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1((21*xx*(xx*(11*xx-15)+5)-5)/16)
Ty=fn2((21*yy*(yy*(11*yy-15)+5)-5)/16)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P07-23(Origin){;V.1.0 - earlier versions may be discarded
;  = (13zP06-6P05)/7
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(3*xx*(11*xx*(13*xx-21)+105)-35)/16)
Ty=fn2(y*(3*yy*(11*yy*(13*yy-21)+105)-35)/16)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P08-23{;V.1.0 - earlier versions may be discarded
;  = (15zP07-7P06)/8
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1((3*xx*(11*xx*(13*xx*(15*xx-28)+210)-420)+35)/128)
Ty=fn2((3*yy*(11*yy*(13*yy*(15*yy-28)+210)-420)+35)/128)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P09-23(Origin){;V.1.0 - earlier versions may be discarded
;  = (17zP08-8P07)/9
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(11*xx*(13*xx*(5*xx*(17*xx-36)+126)-420)+315)/128)
Ty=fn2(y*(11*yy*(13*yy*(5*yy*(17*yy-36)+126)-420)+315)/128)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

P10-23{;V.1.0 - earlier versions may be discarded
;  = (19zP09-9P08)/10
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1((11*xx*(13*xx*(xx*(17*xx*(19*xx-45)+630)-210)+315)-63)/256)
Ty=fn2((11*yy*(13*yy*(yy*(17*yy*(19*yy-45)+630)-210)+315)-63)/256)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{H(n+1) = 2(xH(n)-nH(n-1))
H(0)  = 1
H(1)  = 2x
}

H02-23{;V.1.0 - earlier versions may be discarded
; = 2(xH(1)-H(0))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1((x+x)*(x+x)-2)
Ty=fn2((y+y)*(y+y)-2)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H03-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2(xH(2)-2H(1))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(4*x*((x+x)*x-3))
Ty=fn2(4*y*((y+y)*y-3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H04-23{;V.1.0 - earlier versions may be discarded
; = 2(xH(3)-3H(2))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(4*(4*xx*(xx-3)+3))
Ty=fn2(4*(4*yy*(yy-3)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H05-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2(xH(4)-4H(3))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(8*x*(4*xx*(xx-5)-9))
Ty=fn2(8*y*(4*yy*(yy-5)-9))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H06-23{;V.1.0 - earlier versions may be discarded
; = 2(xH(5)-5H(4))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=(x+x)*x,ay=(y+y)*y
Tx=fn1(8*(ax*(ax*(ax-15)+21)-15))
Ty=fn2(8*(ay*(ay*(ay-15)+21)-15))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H07-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2(xH(6)-6H(5))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=(x+x)*x,ay=(y+y)*y
Tx=fn1(16*x*(ax*(ax*(ax-21)+81)+39))
Ty=fn2(16*y*(ay*(ay*(ay-21)+81)+39))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H08-23{;V.1.0 - earlier versions may be discarded
; = 2(xH(7)-7H(6))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
Tx=fn1(16*(4*xx*(ax*(ax*(xx-14)+93)-93)+105))
Ty=fn2(16*(4*yy*(ay*(ay*(yy-14)+93)-93)+105))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H09-23(Origin){;V.1.0 - earlier versions may be discarded
; = 2(xH(8)-8H(7))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
Tx=fn1(32*x*(4*xx*(ax*(ax*(xx-18)+177)-417)-207))
Ty=fn2(32*y*(4*yy*(ay*(ay*(yy-18)+177)-417)-207))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

H10-23{;V.1.0 - earlier versions may be discarded
; = 2(xH(9)-9H(8))
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
ax=xx+xx,ay=yy+yy
Tx=fn1(32*(ax*(4*xx*(ax*(xx*(ax-45)+303)-1254)+1467)-945))
Ty=fn2(32*(ay*(4*yy*(ay*(yy*(ay-45)+303)-1254)+1467)-945))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{He(n+1) = xHe(n)-nHe(n-1)
He(0)  = 1
He(1)  = sqrt(2)x
}

He02-23{;V.1.0 - earlier versions may be discarded
; = xHe(1)-He(0)
s=sqrt(2),t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(s*x*x-1)
Ty=fn2(s*y*y-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He03-23(Origin){;V.1.0 - earlier versions may be discarded
; = xHe(2)-2He(1)
s=sqrt(2),t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(s*(x*x-2)-1))
Ty=fn2(y*(s*(y*y-2)-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He04-23{;V.1.0 - earlier versions may be discarded
; = xHe(3)-3He(2)
s=sqrt(2),t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(s*(xx-5)-1)+3)
Ty=fn2(yy*(s*(yy-5)-1)+3)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He05-23(Origin){;V.1.0 - earlier versions may be discarded
; = xHe(4)-4He(3)
s=sqrt(2),a=8*s+7
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(s*(xx-9)-1)+a))
Ty=fn2(y*(yy*(s*(yy-9)-1)+a))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He06-23{;V.1.0 - earlier versions may be discarded
; = xHe(5)-5He(4)
s=sqrt(2),a=33*s+12
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(s*(xx-14)-1)+a)-15)
Ty=fn2(yy*(yy*(s*(yy-14)-1)+a)-15)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He07-23(Origin){;V.1.0 - earlier versions may be discarded
; = xHe(6)-6He(5)
s=sqrt(2),a=87*s+18,b=8*s-57
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(s*(xx-20)-1)+a)+b))
Ty=fn2(y*(yy*(yy*(s*(yy-20)-1)+a)+b))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He08-23{;V.1.0 - earlier versions may be discarded
; = xHe(7)-7He(6)
s=sqrt(2),a=185*s+25,b=41*s-141
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(s*(xx-27)-1)+a)+b)+105)
Ty=fn2(yy*(yy*(yy*(s*(yy-27)-1)+a)+b)+105)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He09-23(Origin){;V.1.0 - earlier versions may be discarded
; = xHe(8)-8He(7)
s=sqrt(2),a=345*s+33,b=136*s-285
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(x*(xx*(xx*(xx*(s*(xx-35)-1)+a)+b)+561))
Ty=fn2(y*(yy*(yy*(yy*(s*(yy-35)-1)+a)+b)+561))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

He10-23{;V.1.0 - earlier versions may be discarded
; = xHe(9)-9He(8)
s=sqrt(2),a=588*s+42,b=321*s-510,c=41*s-1830
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(xx*(xx*(xx*(xx*(s*(xx-44)-1)+a)+b)+c)-945)
Ty=fn2(yy*(yy*(yy*(yy*(s*(yy-44)-1)+a)+b)+c)-945)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{Ca(n+1) = (2(a+n)xCa(n)-(2a+n-1)Ca(n-1))/(n+1)
Ca(0) = 1
Ca(1) = 2ax
}

Ca02-23{;V.1.0 - earlier versions may be discarded
; = (a+1)xCa(1)-aCa(0)
a=p1
b=a+a+2
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(a*(b*x*x-1))
Ty=fn2(a*(b*y*y-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca03-23{;V.1.0 - earlier versions may be discarded
; = (2(a+2)xCa(2)-(2a+1)Ca(1))/3
a=p1
b=(a+a)*(a+1)
c=(a+a+4)/3
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*x*(c*xx-1))
Ty=fn2(b*y*(c*yy-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca04-23{;V.1.0 - earlier versions may be discarded
; = ((a+3)xCa(3)-(a+1)Ca(2))/2
a=p1
b=a*(a+1)/2
c=4*(a+2)
d=(a+3)/3
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*(c*xx*(d*xx-1)+1))
Ty=fn2(b*(c*yy*(d*yy-1)+1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca05-23{;V.1.0 - earlier versions may be discarded
; = (2(a+4)xCa(4)-(2a+3)Ca(3))/5
a=p1
b=a*(a*(a+3)+2)/3
c=4*(a+3)
d=(a+4)/5
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*x*(c*xx*(d*xx-1)+3))
Ty=fn2(b*y*(c*yy*(d*yy-1)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca06-23{;V.1.0 - earlier versions may be discarded
; = ((a+5)xCa(5)-(a+2)Ca(4))/3
a=p1
b=a*(a*(a+3)+2)/6
c=a+3
d=4*(a+4)
e=(a+a+10)/15
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*(c*xx*(d*xx*(e*xx-1)+3)-1))
Ty=fn2(b*(c*yy*(d*yy*(e*yy-1)+3)-1))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca07-23{;V.1.0 - earlier versions may be discarded
; = (2(a+6)xCa(6)-(2a+5)Ca(5))/7
a=p1
b=a*(a*(a*(a+6)+11)+6)/21
c=a+a+8
d=(a+a)*(a+11)/15+4
e=7*(a+5)/5
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*x*(c*xx*((xx+xx)*(d*xx-e)+7)-7))
Ty=fn2(b*y*(c*yy*((yy+yy)*(d*yy-e)+7)-7))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca08-23{;V.1.0 - earlier versions may be discarded
; = ((a+7)xCa(7)-(a+3)Ca(6))/4
a=p1
b=a*(a*(a*(a+6)+11)+6)/360
c=8*(a+4)
d=a+5
e=4*(a+6)
f=(a+7)/14
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*(c*xx*(d*xx*(e*xx*(f*xx-1)+15)-15)+15))
Ty=fn2(b*(c*yy*(d*yy*(e*yy*(f*yy-1)+15)-15)+15))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca09-23{;V.1.0 - earlier versions may be discarded
; = (2(a+8)xCa(8)-(2a+7)Ca(7))/9
a=p1
b=a*(a*(a*(a*(a+10)+35)+50)+24)/1260
c=(a+a)*(a*(a+18)+107)+420
d=(a+8)/18
e=7*(a*(9*a+94)+270)/6
f=35*(a+5)/2
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*x*(16*xx*(xx*(c*xx*(d*xx-1)+e)-f)+105))
Ty=fn2(b*y*(16*yy*(yy*(c*yy*(d*yy-1)+e)-f)+105))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Ca10-23{;V.1.0 - earlier versions may be discarded
; = ((a+9)xCa(9)-(a+4)Ca(8))/5
a=p1
b=a*(a*(a*(a*(a+10)+35)+50)+24)/382860
c=15*(a+5)
d=a+a+12
e=a*(a+15)+56
f=(a+a+18)/45
g=14*(a+a+26)/5
t=real(p2),bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
xx=x*x,yy=y*y
Tx=fn1(b*(c*xx*(d*xx*(81*xx*(e*xx*(f*xx-1)+g)-1418)+2127)-31903))
Ty=fn2(b*(c*yy*(d*yy*(81*yy*(e*yy*(f*yy-1)+g)-1418)+2127)-31903))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{Tc(n+1) = 2(2z-1)Tc(n)-Tc(n-1)
Tc(0) = 1
Tc(1) = 2(z+1)
}

Tc02-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(1)-Tc(0)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(4*x*(x+x+1)-5)
Ty=fn2(4*y*(y+y+1)-5)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc03-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(2)-Tc(1)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1((x+x)*(16*x*x-15)+8)
Ty=fn2((y+y)*(16*y*y-15)+8)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc04-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(3)-Tc(2)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=8*x,ay=8*y
Tx=fn1(ax*(ax*(x*(x+x-1)-2)+11)-11)
Ty=fn2(ay*(ay*(y*(y+y-1)-2)+11)-11)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc05-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(4)-Tc(3)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=16*x,ay=16*y
Tx=fn1((x+x)*(ax*(x*(ax*(x-1)-13)+19)-95)+14)
Ty=fn2((y+y)*(ay*(y*(ay*(y-1)-13)+19)-95)+14)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc06-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(5)-Tc(4)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=x+x,ay=y+y
bx=ax+ax,by=ay+ay
Tx=fn1(bx*(ax*(32*x*(x*(bx*(ax-3)-3)+13)-231)+87)-17)
Ty=fn2(by*(ay*(32*y*(y*(by*(ay-3)-3)+13)-231)+87)-17)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc07-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(6)-Tc(5)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1((x+x)*(32*x*(x*(8*x*(x*(16*x*(x-2)+5)+30)-213)+71)-287)+20)
Ty=fn2((y+y)*(32*y*(y*(8*y*(y*(16*y*(y-2)+5)+30)-213)+71)-287)+20)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc08-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(7)-Tc(6)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=x+x,ay=y+y
bx=ax+ax,by=ay+ay
cx=16*x,cy=16*y
Tx=fn1(cx*(bx*(ax*(cx*(x*(bx*(ax*(ax-5)+5)+29)+420+329)-149)+55)-23))
Ty=fn2(cy*(by*(ay*(cy*(y*(by*(ay*(ay-5)+5)+29)+420+329)-149)+55)-23))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc09-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(8)-Tc(7)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=8*x,ay=8*y
bx=x+x,by=y+y
Tx=fn1(bx*(32*x*(x*(ax*(x*(16*x*(x*(ax*(bx-7)+59)+11)+435)-37)+1041)+282)-639)+26)
Ty=fn2(by*(32*y*(y*(ay*(y*(16*y*(y*(ay*(by-7)+59)+11)+435)-37)+1041)+282)-639)+26)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Tc10-23{;V.1.0 - earlier versions may be discarded
; = 2(2z-1)Tc(9)-Tc(8)
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x,ay=4*y
bx=32*x,by=32*y
cx=x+x,cy=y+y
Tx=fn1(ax*(cx*(bx*(x*(ax*(cx*(bx*(x*(8*x*(x-4)+43)-8)+327)-567)+853)-403)-3959)+445)-29)
Ty=fn2(ay*(cy*(by*(y*(ay*(cy*(by*(y*(8*y*(y-4)+43)-8)+327)-567)+853)-403)-3959)+445)-29)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{L(n+1) = ((2n+1-z)L(n)-nL(n-1))/(n+1)
L(0)=1
L(1)=(1-z)
}

L02-23{;V.1.0 - earlier versions may be discarded
; = ((3-z)L(1)-L(0))/2
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x/2-2)+1)
Ty=fn2(y*(y/2-2)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L03-23{;V.1.0 - earlier versions may be discarded
; = ((5-z)L(2)-2L(1))/3
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(3-x/3)/2-3)+1)
Ty=fn2(y*(y*(3-y/3)/2-3)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L04-23{;V.1.0 - earlier versions may be discarded
; = ((7-z)L(3)-3L(2))/4
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x/8-2)/3+3)-4)+1)
Ty=fn2(y*(y*(y*(y/8-2)/3+3)-4)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L05-23{;V.1.0 - earlier versions may be discarded
; = ((9-z)L(4)-4L(3))/5
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(5-x/5)/8-5)/3+5)-5)+1)
Ty=fn2(y*(y*(y*(y*(5-y/5)/8-5)/3+5)-5)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L06-23{;V.1.0 - earlier versions may be discarded
; = ((11-z)L(5)-5L(4))/6
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x/18-2)/5+5)/8-10/3)+15/2)-6)+1)
Ty=fn2(y*(y*(y*(y*(y*(y/18-2)/5+5)/8-10/3)+15/2)-6)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L07-23{;V.1.0 - earlier versions may be discarded
; = ((13-z)L(6)-6L(5))/7
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(49-x)/2-441)/5+735)/84-35)/3+21)/2-7)+1)
Ty=fn2(y*(y*(y*(y*(y*(y*(49-y)/2-441)/5+735)/84-35)/3+21)/2-7)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L08-23{;V.1.0 - earlier versions may be discarded
; = ((15-z)L(7)-7L(6))/8
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x/32-2)/7+7)/3-28)/5+35)/4-28)/3+14)-8)+1)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y/32-2)/7+7)/3-28)/5+35)/4-28)/3+14)-8)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L09-23{;V.1.0 - earlier versions may be discarded
; = ((17-z)L(8)-8L(7))/9
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x*(81-x)/16-162)+2646)-23814)/5+23814)-84)+108)/17-9)+1)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y*(81-y)/16-162)+2646)-23814)/5+23814)-84)+108)/17-9)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

L10-23{;V.1.0 - earlier versions may be discarded
; = ((19-z)L(9)-9L(8))/10
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x*(x*(x/100-1)+405)/8-108)+1323)/2-47628)+19845)/2-22680)+27025)/1134-10)+1)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y*(y*(y/100-1)+405)/8-108)+1323)/2-47628)+19845)/2-22680)+27025)/1134-10)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{La(n+1) = ((a+2n+1-z)La(n)-(a+n)La(n-1))/(n+1)
La(0)=1
La(1)=(a+1-z)
}

La02-23{;V.1.0 - earlier versions may be discarded
; = ((a+3-z)La(1)-(a+1)La(0))/2
a=p2,c=a+2,b=c*(a+1)/2,
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x/2-c)+b)
Ty=fn2(y*(y/2-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La03-23{;V.1.0 - earlier versions may be discarded
; = ((a+5-z)La(2)-(a+2)La(1))/3
a=p2,d=(a+3)/2,c=d*(a+2),b=c*(a+1)/3
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(d-x/6)-c)+b)
Ty=fn2(y*(y*(d-y/6)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La04-23{;V.1.0 - earlier versions may be discarded
; = ((a+7-z)La(3)-(a+3)La(2))/4
a=p2,e=(a+4)/6,d=e*(a+3)*(3/2),c=d*(a+a+4)/3,b=c*(a+1)/4
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x/24-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y/24-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La05-23{;V.1.0 - earlier versions may be discarded
; = ((a+9-z)La(4)-(a+4)La(3))/5
a=p2,f=(a+5)/24,e=(f+f)*(a+4),d=e*(a+3),c=d*(a+2)/2,b=c*(a+1)/5
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(f-x/120)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(f-y/120)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La06-23{;V.1.0 - earlier versions may be discarded
; = ((a+11-z)La(5)-(a+5)La(4))/6
a=p2,g=(a+6)/120,f=g*(a+5)*(5/2),e=f*(a+4)*(4/3),d=e*(a+3)*(3/4),c=d*(a+a+4)/5,b=c*(a+1)/6
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x/720-g)+f)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(y*(y/720-g)+f)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La07-23{;V.1.0 - earlier versions may be discarded
; = ((a+13-z)La(6)-(a+6)La(5))/7
a=p2,h=(a+7)/720,g=h*(a+6)*3,f=g*(a+5)*(5/3),e=f*(a+4),d=e*(a+3)*(3/5),c=d*(a+2)/3,b=c*(a+1)/7
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(h-x/5040)-g)+f)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(y*(y*(h-y/5040)-g)+f)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La08-23{;V.1.0 - earlier versions may be discarded
; = ((a+15-z)La(7)-(a+7)La(6))/8
a=p2,i=(a+8)/5040,h=i*(a+7)*(7/2),g=h*(a+a+12),f=g*(a+5)*(5/4),e=f*(a+4)*(4/5),d=e*(a+3)/2,c=d*(a+a+4)/7,b=c*(a+1)/8
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x/40320-i)+h)-g)+f)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y/40320-i)+h)-g)+f)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La09-23{;V.1.0 - earlier versions may be discarded
; = ((a+17-z)La(8)-(a+8)La(7))/9
a=p2,j=(a+9)/40320,i=j*(a+8)*4,h=i*(a+7)*(7/3),g=h*(a+6)*(3/2),f=g*(a+5),e=f*(a+a+8)/3,d=e*(a+3)*(3/7),c=d*(a+2)/4,b=c*(a+1)/9
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x/40320-i)+h)-g)+f)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y/40320-i)+h)-g)+f)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

La10-23{;V.1.0 - earlier versions may be discarded
; = ((a+19-z)La(9)-(a+9)La(8))/10
a=p2,k=(a+10)/362880,j=k*(a+9)*45,i=j*(a+8)*(4/15),h=i*(a+7)*(7/4),g=h*(a+6)*12,f=g*(a+5)/12,e=f*(a+4)*(4/7),d=e*(a+3)*(15/4),c=d*(a+2)/45,b=c*(a+1)/10
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
Tx=fn1(x*(x*(x*(x*(x*(x*(x*(x*(x*(x/3628800-k)+j)-i)+h)-g)+f)-e)+d)-c)+b)
Ty=fn2(y*(y*(y*(y*(y*(y*(y*(y*(y*(y/3628800-k)+j)-i)+h)-g)+f)-e)+d)-c)+b)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}


comment{Uc(n+1) = 2(2z-1)Uc(n)-Uc(n-1)
a=4z-2
Uc(0)  = 1
Uc(1)  = a
}

Uc02-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U01-U00
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
Tx=fn1(ax*ax-1)
Ty=fn2(ay*ay-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc03-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U02-U01
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
Tx=fn1(ax*(ax*ax-2))
Ty=fn2(ay*(ay*ay-2))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc04-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U03-U02
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(aax*(aax-3)+1)
Ty=fn2(aay*(aay-3)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc05-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U04-U03
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(ax*(aax*(aax-4)+3))
Ty=fn2(ay*(aay*(aay-4)+3))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc06-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U05-U04
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(aax*(aax*(aax-5)+6)-1)
Ty=fn2(aay*(aay*(aay-5)+6)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc07-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U06-U05
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(ax*(aax*(aax*(aax-6)+10)-4))
Ty=fn2(ay*(aay*(aay*(aay-6)+10)-4))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc08-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U07-U06
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(aax*(aax*(aax*(aax-7)+15)-10)+1)
Ty=fn2(aay*(aay*(aay*(aay-7)+15)-10)+1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc09-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U08-U07
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(ax*(aax*(aax*(aax*(aax-8)+21)-20)+5))
Ty=fn2(ay*(aay*(aay*(aay*(aay-8)+21)-20)+5))
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}

Uc10-23{;V.1.0 - earlier versions may be discarded
; = 2z(2z-1)U09-U08
t=p1,bailout=4,z=fn3(pixel):
x=real(z),y=imag(z)
ax=4*x-2,ay=4*y-2
aax=ax*ax,aay=ay*ay
Tx=fn1(aax*(aax*(aax*(aax*(aax-9)+36)-35)+15)-1)
Ty=fn2(aay*(aay*(aay*(aay*(aay-9)+36)-35)+15)-1)
x=x-t*Ty,y=y+t*Tx
z=x+flip(y)
|z|<=bailout}
